Automation-Runs auflisten
curl --request GET \
--url https://app.famulor.de/api/user/automate/flows/{id}/runs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.de/api/user/automate/flows/{id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/automate/flows/{id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/automate/flows/{id}/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/automate/flows/{id}/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"runs": [
{
"id": "yHhXbqWj3zJZ5ztDNfUry",
"status": "SUCCEEDED",
"start_time": "2026-07-24T18:23:59.634Z",
"duration_ms": 1
},
{
"id": "x2PqLm90AbCdEfGhIjKlM",
"status": "FAILED",
"start_time": "2026-07-24T17:10:12.000Z",
"duration_ms": 410
}
]
}
{
"run": {
"id": "x2PqLm90AbCdEfGhIjKlM",
"status": "FAILED",
"start_time": "2026-07-24T17:10:12.000Z",
"duration_ms": 410,
"steps": [
{ "name": "trigger", "status": "SUCCEEDED", "classification": "ok", "error": null },
{
"name": "step_1",
"status": "FAILED",
"classification": "missing_connection",
"error": "Request failed with status code 401"
}
]
}
}
{
"message": "Run not found for this automation"
}
Automation-Runs auflisten
Liste die letzten Ausführungen einer Famulor-Automation oder die Step-für-Step-Details eines Laufs.
GET
/
api
/
user
/
automate
/
flows
/
{id}
/
runs
Automation-Runs auflisten
Dieser Endpunkt listet die letzten Ausführungen einer Automation (neueste zuerst). Mit
Response — Liste (ohne
Response — Detail (mit
Eine fehlende Automation — oder eine, die nicht zu deinem Account gehört — liefert
run_id erhältst du die Step-für-Step-Details eines Laufs inkl. Klassifikation — dein Debugger, wenn eine Automation fehlschlägt.
Nachdem du die Ursache behoben hast, starte den Lauf mit Run erneut versuchen ab dem fehlgeschlagenen Step neu — nimm die id aus dieser Liste.
Path Parameters
string
erforderlich
Die ID der Automation (aus Automationen auflisten)
Query Parameters
string
Eine Run-ID aus der Liste — liefert die Step-für-Step-Details dieses Laufs statt der Liste
integer
Wie viele aktuelle Runs gelistet werden (1–20, Standard 10)
Response — Liste (ohne run_id)
array
Die letzten Ausführungen der Automation, neueste zuerst
Anzeigen Run-Eigenschaften
Anzeigen Run-Eigenschaften
string
Die Run-ID — als
run_id für die Details oder an Run erneut versuchen für einen fehlgeschlagenen Lauf übergebenstring
SUCCEEDED, FAILED, PAUSED (wartet an einem Delay-Step auf die Zielzeit — kein Fehler) oder RUNNINGstring
Startzeitpunkt des Laufs
integer
Dauer des Laufs in Millisekunden
Response — Detail (mit run_id)
object
Die Details der Ausführung
Anzeigen Run-Eigenschaften
Anzeigen Run-Eigenschaften
string
Die Run-ID
string
SUCCEEDED, FAILED, PAUSED oder RUNNINGstring
Startzeitpunkt des Laufs
integer
Dauer des Laufs in Millisekunden
array
Ergebnis pro Step — gleiche Form wie
test.steps von Automation erstellen: {name, status, classification, error}, wobei classification ok, paused_at_delay, wiring_error, missing_connection oder missing_record ist404 mit {"message": "Automation not found"}. Eine run_id, die nicht zu dieser Automation gehört, liefert 404 mit {"message": "Run not found for this automation"}.
{
"runs": [
{
"id": "yHhXbqWj3zJZ5ztDNfUry",
"status": "SUCCEEDED",
"start_time": "2026-07-24T18:23:59.634Z",
"duration_ms": 1
},
{
"id": "x2PqLm90AbCdEfGhIjKlM",
"status": "FAILED",
"start_time": "2026-07-24T17:10:12.000Z",
"duration_ms": 410
}
]
}
{
"run": {
"id": "x2PqLm90AbCdEfGhIjKlM",
"status": "FAILED",
"start_time": "2026-07-24T17:10:12.000Z",
"duration_ms": 410,
"steps": [
{ "name": "trigger", "status": "SUCCEEDED", "classification": "ok", "error": null },
{
"name": "step_1",
"status": "FAILED",
"classification": "missing_connection",
"error": "Request failed with status code 401"
}
]
}
}
{
"message": "Run not found for this automation"
}
Verwandte Seiten: Run erneut versuchen, Automation aktualisieren und Authentifizierung.
⌘I